deployable assets
List deployable assets deployable assets
Requires scopes: runs:read
GET
/
api
/
deployable-assets
List deployable assets deployable assets
curl --request GET \
--url https://evalgate.com/api/deployable-assets \
--header 'Authorization: Bearer <token>'import requests
url = "https://evalgate.com/api/deployable-assets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://evalgate.com/api/deployable-assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deployments": [
{
"health": [
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deploymentId": "<string>",
"artifactVersionId": 123,
"cohort": "<string>",
"windowStartedAt": "2023-11-07T05:31:56Z",
"windowEndedAt": "2023-11-07T05:31:56Z",
"invocationCount": 123,
"successRate": "<string>",
"qualityScore": "<string>",
"p95LatencyMs": 123,
"costUsd": "<string>",
"policyViolationCount": 123,
"recordedBy": "<string>",
"recordedAt": "2023-11-07T05:31:56Z"
}
],
"events": [
{
"id": 123,
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deploymentId": "<string>",
"action": "<string>",
"fromVersionId": 123,
"toVersionId": 123,
"fromRevision": 123,
"toRevision": 123,
"rationale": "<string>",
"actorId": "<string>",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z"
}
],
"invocations": [
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deploymentId": "<string>",
"artifactId": 123,
"artifactVersionId": 123,
"shadowVersionId": 123,
"environment": "<string>",
"cohort": "<string>",
"idempotencyKey": "<string>",
"inputHash": "<string>",
"input": {},
"output": {},
"outputHash": "<string>",
"status": "<string>",
"gatewayExecuted": true,
"modelCallId": "<string>",
"traceEvidence": {},
"costEvidence": {},
"policyEvidence": {},
"budgetReservedUsd": "<string>",
"latencyMs": 123,
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
],
"deployment": {
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"artifactId": 123,
"environment": "<string>",
"status": "<string>",
"activeVersionId": 123,
"previousVersionId": 123,
"canaryVersionId": 123,
"shadowVersionId": 123,
"canaryPercent": 123,
"policy": {
"rateLimitPerMinute": 123,
"dailyBudgetUsd": 123,
"maxCostPerInvocationUsd": 123,
"maxInputBytes": 123,
"dataClassification": "public",
"allowedInputClassifications": [
"public"
]
},
"revision": 123,
"createdBy": "<string>",
"updatedBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"artifactKey": "<string>",
"displayName": "<string>",
"kind": "<string>",
"activeVersionNumber": 123,
"activeContentHash": "<string>"
}
]
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}⌘I
List deployable assets deployable assets
